/**
* @file main.cpp
*
* Copyright (C) 2020. Huawei Technologies Co., Ltd. All rights reserved.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*/
#include <iostream>
#include "sample_process.h"
#include "utils.h"
#include "Utils_Process.h"
#include "ctime"

#include "int_test.h"

using namespace std;
bool g_isDevice = false;


int main()
{
    SampleProcess sampleProcess;
    
    WARN_LOG("Resource initialization begin");
    Result ret = sampleProcess.InitResource();
    if (ret != SUCCESS) {
        ERROR_LOG("Resource initialization failed");
        return FAILED;
    }
    INFO_LOG("Resource initialization finished");

    while(1){
    WARN_LOG("Model processing begin");
    //auto results = sampleProcess.Process();
    clock_t Begin,End;
    Begin = clock();
    ret = sampleProcess.Process();
    if (ret != SUCCESS) {
        ERROR_LOG("Model processing failed");
        return FAILED;
    }
    INFO_LOG("Model processing finished");
    End = clock();
    double duration = (End-Begin) * 1000.0 / CLOCKS_PER_SEC;
    cout << "tick:" << End-Begin << endl;
    cout << CLOCKS_PER_SEC << endl;
    cout << "duration:" << duration << "(ms)" << endl;
    setup_test();
    }

    return SUCCESS;
}
